import processing.sound.*;

Animation [] animations;

void setup () {
  size(600, 400);
  animations = new Animation [] {
    new RotatingRect(150,200,'1', new SoundFile(this,"DM-CGS-05.mp3")),
    new RotatingRect(300,200,'2', new SoundFile(this,"DM-CGS-01.mp3")),
    new ColorCircle(450,200,'3', new SoundFile(this,"DM-CGS-03.mp3"))
  };
}

void draw () {
  background(0);
  for (int i=0; i<animations.length; i++) {
    animations[i].animate();
  }
}

void keyPressed () {
  for (int i=0; i<animations.length; i++) {
    animations[i].start(key);
  }
}

void keyReleased () {
  for (int i=0; i<animations.length; i++) {
    animations[i].stop(key);
  }
}
